/* ------ large and medium devices (dekstops and laptops, 992px and up) -----*/
@media (min-width: 992px) {
  html {
    font-size: 0.694vw;
  }
  .container {
    max-width: 140rem;
  }

  /* primary_menu */
  .primary_menu {
    padding: 0 3.5rem;
    background: #fff;
    height: 6rem;
    border-radius: 10rem;
  }

  .site_header .row {
    padding: 3rem 0;
  }
}

/* ------ Medium devices (tablets, 991px and down) -----*/
@media (max-width: 991px) {
  html {
    font-size: 53%;
  }

  .menu_container {
    width: 735px;
  }

  .progress-wrap {
    width: 6.5rem;
    height: 6.5rem;
    right: 2.4rem;
    bottom: 3rem;
  }

  /* =========== Header area ========== */
  .primary_menu {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    display: flex !important;
    flex-direction: column;
    justify-content: space-between !important;
    padding: 0;
    pointer-events: none;
    overflow: auto;
    left: 50%;
    transform: translateX(-50%);
    z-index: 999999999;
    margin-top: 0;
    padding-top: 2rem;
  }

  .primary_menu::-webkit-scrollbar {
    scrollbar-width: 0;
    display: none;
  }

  .menu_active .primary_menu {
    pointer-events: all;
  }

  .main_menu {
    flex-direction: column;
    gap: 0;
    align-items: flex-start !important;
  }

  .main_menu li a,
  .menu_link_style {
    font-size: 2rem;
    line-height: 1;
  }

  body.menu_active {
    overflow: hidden !important;
  }

  .menu_overlay {
    width: 200vw;
    height: 200vh;
    content: "";
    background: rgb(108, 108, 108, 0.35);
    backdrop-filter: blur(1.5rem);
    position: fixed;
    left: -200vw;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 0 50% 50% 0;
    transition: all 1.5s cubic-bezier(0.68, 0, 0.27, 1.55); /* elastic wave effect */
    z-index: 9999999;
  }

  .menu_active .menu_overlay {
    left: -50vw;
  }

  .menu_container {
    transition: 0.25s ease;
    transform: translateX(-2rem);
    opacity: 0;
    pointer-events: none;
  }

  .menu_active .menu_container {
    transform: translateX(0);
    opacity: 1;
    pointer-events: all;
    transition-delay: 1.05s;
  }

  .menu_bottom {
    padding-left: 2rem;
    padding-right: 2rem;
  }

  /* ============== Hamburger ============= */
  .hamburger img {
    width: 4rem;
    position: absolute;
    transition: 0.35s ease;
  }

  .hamburger .close_icon {
    width: 4rem;
    opacity: 0;
    transform: scale(0.5);
  }

  .hamburger {
    width: 4rem;
    height: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 999;
  }

  .menu_active .hamburger .close_icon {
    opacity: 1;
    transform: scale(1);
  }

  .menu_active .hamburger .Hamburger_icon {
    opacity: 0;
    transform: scale(0.5);
  }

  /* ========= menu_bottom ======== */
  .menu_bottom .hero_right {
    justify-content: space-between;
    padding: 4rem 0 12rem;
  }

  .menu_bottom {
    flex-direction: column;
  }

  .menu_bottom .fbr_bottom {
    padding-top: 0;
  }

  .menu_bottom .social_links a img {
    filter: brightness(0) saturate(100%) invert(4%) sepia(35%) saturate(6491%)
      hue-rotate(256deg) brightness(85%) contrast(93%);
  }

  .menu_bottom .fbr_bottom p {
    font-size: 1.4rem;
    line-height: 2.8rem;
  }

  .main_menu {
    padding: 1.8rem 0 5rem 0;
  }

  .menu_bottom {
    padding-bottom: 4.5rem;
  }

  .menu_link img {
    width: 2.5rem;
  }

  .menu_link.active img {
    display: block !important;
  }

  .menu_link {
    display: flex;
  }

  .menu_container .button {
    max-width: 75%;
    justify-content: center;
    width: 100%;
    margin: 0 auto;
    margin-top: 4rem;
  }

  .px_40 {
    padding-left: 3rem;
    padding-right: 3rem;
  }

  .header_right a {
    display: none;
  }

  .hamburger {
    filter: var(--white_img);
  }

  .hero_content {
    padding-bottom: 6rem;
  }

  .service_area .row {
    --bs-gutter-y: 4rem;
  }

  .faq_area .row {
    --bs-gutter-y: 4rem;
    flex-direction: column-reverse;
  }

  .faq_area .col-lg-4 {
    display: flex;
    align-items: center;
    gap: 5rem;
  }

  .contact_area .container > .row {
    --bs-gutter-y: 6rem;
  }

  .footer_box_inner {
    display: grid !important;
    grid-template-columns: 1fr 1fr;
  }

  .counter_area .row {
    --bs-gutter-x: 6rem;
    --bs-gutter-y: 6rem;
  }

  .section_top.pb_80 {
    padding-bottom: 4rem;
  }

  .menu_container li {
    width: 100%;
  }

  .nav_link {
    width: 100%;
    height: 5.8rem;
    display: flex;
    align-items: center;
    border-top: 0.1rem solid #fff;
    color: #fff;
  }

  /* ============ New Header ============== */
  .menu_bottom ul {
    display: grid;
    grid-template-columns: 1fr 1fr;
    text-align: left;
    gap: 2.2rem;
  }

  .menu_bottom ul li {
    display: grid;
  }

  .menu_bottom ul li span {
    line-height: 1.7;
  }

  .menu_bottom {
    gap: 2.4rem;
    margin: 0;
    padding: 0;
    padding-bottom: 4.8rem;
  }

  .primary_menu .hamburger {
    margin-left: auto;
    transition-delay: 0.2s;
    transition: 0.35s ease;
    transform: scale(0.65);
    opacity: 0;
  }

  .menu_active .primary_menu .hamburger {
    transform: scale(1);
    opacity: 1;
    transition-delay: 1.2s;
  }

  .contact_area .container > .section_top {
    padding-bottom: 3.2rem;
  }

  .contact_area .container > .row .section_top h2 {
    padding-bottom: 0.8rem;
  }

  .contact_area .container > .row .section_top {
    padding-bottom: 2.4rem;
  }

  .form_control {
    height: 4rem;
    padding: 0 1.8rem;
    font-size: 1.6rem;
  }

  .form_control::placeholder {
    font-size: 1.6rem;
  }

  form {
    gap: 2rem;
  }

  .button {
    height: 4rem;
    padding: 0 4rem;
    font-size: 1.6rem;
  }

  .form_group.d-flex {
    flex-direction: column;
    align-items: flex-start !important;
  }

  .upload_file label {
    gap: 1.2rem;
    padding: 1rem 3rem 1rem 1rem;
    margin-bottom: 1.2rem;
  }

  /* site_header */
  .site_header .row {
    padding-top: 2rem;
    padding-bottom: 2rem;
  }
}

/*----- sm devices (tablets, 768px and 992px) -----*/
@media (min-width: 576px) and (max-width: 991.99px) {
  .primary_menu {
    padding-left: 4rem;
    padding-right: 4rem;
    width: 100vw;
  }
}

/*----- sm devices (tablets, 767px and down) -----*/
@media (max-width: 767px) {
  /* ============ default styles ============ */

  body {
    font-size: 1.6rem;
    letter-spacing: -0.02em;
  }

  html {
    font-size: 60%;
  }

  .container {
    padding: 0;
  }

  .container-fluid,
  .menu_container {
    width: 540px;
  }

  .main_content > div.pt_80 {
    padding-top: 4.8rem;
  }

  .main_content > div.pt_100 {
    padding-bottom: 4rem;
  }

  .px_40 {
    padding-left: 1.8rem;
    padding-right: 1.8rem;
  }

  .site_header {
    border-bottom: 0;
  }

  .site_header .row {
    padding: 2rem 0;
  }

  .site_header.sticky {
    border-top-width: 0.6rem;
    border-bottom-width: 0.6rem;
  }

  .logo img {
    width: 4.3rem;
  }

  .logo img {
    width: 4.3rem;
  }

  .sm_title {
    font-size: 1.4rem;
    padding: 1rem 2rem;
  }

  .title_60 {
    font-size: 3.8rem;
  }

  .hero_content .sm_title {
    margin-bottom: 1.5rem;
  }

  .hero_area .container {
    padding: 0;
  }

  .hero_content {
    padding-bottom: 4.8rem;
  }

  .number {
    width: 4rem;
    height: 4rem;
    font-size: 1.4rem;
  }

  .service p {
    padding-top: 1.6rem;
  }

  .section_top.pb_50 {
    padding-bottom: 3.2rem;
  }

  .service_img {
    height: 32rem;
  }

  .main_content > div.pb_100 {
    padding-bottom: 4.8rem;
  }

  .progress-wrap {
    width: 4.5rem;
    height: 4.5rem;
    right: 2.4rem;
    bottom: 3rem;
  }

  .arrow_top {
    width: 1rem;
  }

  .counter h2 {
    font-size: 8rem;
    line-height: 1;
    margin-bottom: 2rem;
  }

  .counter p {
    max-width: 24.7rem;
    margin: 0 auto;
  }

  .counter_area .row {
    --bs-gutter-y: 4rem;
  }

  .counter {
    padding-top: 0.6rem;
  }

  .title_46 {
    font-size: 3rem;
  }

  .faq_icon {
    width: 3rem;
  }

  .title_30 {
    font-size: 1.8rem;
  }

  .accordion_btn_left .title_30 {
    padding-left: 1.2rem;
  }

  .plus_minus_icons img {
    width: 2.5rem;
  }

  .accordion_content ul {
    padding-left: 6rem;
    padding-bottom: 2.4rem;
  }

  .faq_area .col-lg-4 {
    flex-direction: column;
    gap: 2.5rem;
  }

  .faq_area .col-lg-4 p {
    max-width: 100%;
    margin-left: auto;
    margin-top: 0;
  }

  .brands {
    grid-template-columns: 1fr 1fr 1fr;
    gap: 3rem 2rem;
    padding-top: 3.2rem;
  }

  .brands a img {
    width: 7rem;
  }

  .brands .brand1,
  .brands .brand2 {
    width: 6rem;
  }

  .brands .brand4 {
    width: 8.2rem;
  }

  .brands .brand7 {
    width: 6rem;
  }

  .brands .brand8 {
    width: 11.4rem;
  }

  .brands .brand5 {
    width: 5.5rem;
  }

  .brands a {
    height: 5rem;
  }

  .brands a {
    justify-content: center;
  }

  .brand_area .section_top .pb_50 {
    padding-bottom: 3.2rem;
  }

  .footer_logo {
    width: 6rem;
  }

  .footer_box > h5 {
    font-size: 1.8rem;
    padding-bottom: 1.5rem;
  }

  .footer_box_inner {
    grid-template-columns: 1fr;
    gap: 1.6rem;
    align-items: flex-start !important;
  }

  .footer_box_right {
    padding-left: 0;
  }

  .footer_box_inner .text_lg {
    line-height: 1.3;
  }

  .footer_copywrite ul {
    gap: 0.6rem;
    flex-direction: column;
    align-items: flex-start !important;
  }

  .footer_copywrite {
    flex-direction: column-reverse;
    gap: 2.4rem;
    align-items: flex-start !important;
    padding-top: 4rem;
  }

  .footer_content_inner .col-lg-6:first-child {
    padding-top: 2.4rem;
    padding-bottom: 4rem;
  }
}

/*----- xs devices (landscape phones, 575px and down) -----*/
@media (max-width: 575px) {
  html {
    font-size: 2.67vw;
  }

  /* menu */
  .primary_menu,
  .container-fluid {
    width: 100%;
  }

  .menu_container {
    width: 33rem;
  }
}
